Skip to content

Get own product detail

GET
/vendor/products/{id}

Получение детальной информации о собственном товаре

Authorizations

sessionCookie

PHP session cookie (HTTP-only, Secure, SameSite=Lax)

Type
API Key (cookie: PARTIZAP_SESSION)

Parameters

Path Parameters

id*

Product ID

Type
integer
Required

Responses

Product detail

application/json
JSON
{
  
"data": {
  
  
"id": 0,
  
  
"title": "string",
  
  
"price": 2500,
  
  
"steering": "string",
  
  
"city_id": 0,
  
  
"region_id": 0,
  
  
"district_id": 0,
  
  
"metro_station_id": 0,
  
  
"metro_distance_m": 0,
  
  
"address_id": "string",
  
  
"images": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"thumbnail_webp": "string",
  
  
  
  
"thumbnail_jpeg": "string",
  
  
  
  
"medium_webp": "string",
  
  
  
  
"medium_jpeg": "string",
  
  
  
  
"large_webp": "string",
  
  
  
  
"large_jpeg": "string",
  
  
  
  
"status": "string",
  
  
  
  
"is_primary": true,
  
  
  
  
"sort_order": 0
  
  
  
}
  
  
],
  
  
"seller": {
  
  
  
"id": 5,
  
  
  
"display_name": "BMW Parts Store",
  
  
  
"avatar_url": "https://s3.partizap.ru/avatars/5.webp",
  
  
  
"city_id": 0,
  
  
  
"rating": "4.85",
  
  
  
"reviews_count": 127,
  
  
  
"products_count": 342,
  
  
  
"created_at": "string"
  
  
},
  
  
"published_at": "string",
  
  
"description": "string",
  
  
"oem_number": "string",
  
  
"manufacturer": "string",
  
  
"status": "string",
  
  
"unknown_car": true,
  
  
"is_available": true,
  
  
"views_count": 0,
  
  
"favorites_count": 0,
  
  
"address": "string",
  
  
"categories": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"category_id": 0,
  
  
  
  
"is_primary": true
  
  
  
}
  
  
],
  
  
"compatibility": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"make_id": 0,
  
  
  
  
"model_id": 0,
  
  
  
  
"generation_id": 0,
  
  
  
  
"modification_id": 0,
  
  
  
  
"note": "string"
  
  
  
}
  
  
],
  
  
"oem_numbers": [
  
  
  
{
  
  
  
  
"id": 0,
  
  
  
  
"oem_number": "string",
  
  
  
  
"oem_display": "string"
  
  
  
}
  
  
],
  
  
"created_at": "string"
  
}
}

Playground

Server
Authorization
Variables
Key
Value

Samples

Powered by VitePress OpenAPI